Status: Closed Start date: Sep 03, 2015

Priority: Urgent Due date: Oct 02, 2015

Assignee: Lucio Lelii % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: ResourceManagement   

Infrastructure: Development   

Description

Related issues:

Related to D4Science Infrastructure - Task #526: add storage manager service ... Closed Sep 02, 2015 Sep 03, 2015

History

#1 - Sep 03, 2015 11:57 AM - Pasquale Pagano

- Related to Task #526: add storage manager service endpoint to new BlueBridge VREs added

#2 - Sep 03, 2015 06:17 PM - Lucio Lelii

- Assignee changed from Lucio Lelii to Massimiliano Assante

This task was already opened (issue #240).

#3 - Oct 01, 2015 12:20 PM - Massimiliano Assante

- Status changed from New to In Progress

#4 - Oct 01, 2015 02:50 PM - Massimiliano Assante

- Due date set to Oct 02, 2015

- Status changed from In Progress to Feedback

- Assignee changed from Massimiliano Assante to Lucio Lelii

- Priority changed from High to Urgent

I modified the VRE Modeller Generic Resource both in devsec and gCubeApps by adding the storage runtime resource for the Workspace

functionality as shown below, however the list of available resources is not returned by the service. It seems to work only with GenericResources (e.g.

Statistical manager algorithms) not for runtime resources.

<Functionality>

                <Name>Shared Workspace</Name>

                <Description>This function provides the Virtual Research Environment                    with s

ervices resembling a folder-based file system for managing                    information objects. The service

s support the sharing of folders                    and items with coworkers as well as via URIs and WebDAV.  

              </Description>

                <SelectableResources>

                    <RuntimeResource description="Backend definition  for StorageManager library">

                        <Category>DataStorage</Category>

                    </RuntimeResource>

                </SelectableResources>

            </Functionality>

#5 - Oct 02, 2015 03:37 PM - Lucio Lelii

The problem was due to an old version of the keys installed on the VREModeler node: all the RuntimeResources with encrypted data were discarded.

I suggest also to set the StorageManager resource as mandatory (moved to the new the scope everytime the functionality, to which it belongs to, is

selected).

You can find the schema in the wiki page linked in the ticket #240.

#6 - Oct 23, 2015 04:39 PM - Massimiliano Assante
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

The issue is solved and released
